﻿@model RailwayCashBox.Models.OrderModel

@{
    ViewBag.Title = "Бронирование билетов";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>@ViewBag.Title</h2>


@using (Html.BeginForm("FinishBooking", "Booking", null, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>@ViewBag.Title</legend>

        <div class="form-group">
            @Html.LabelFor(m => m.TrainCode, new { @class = "col-md-4 control-label" })
            <div class="col-md-6 form-control-static">
                @Html.HiddenFor(m => m.TrainCode)
                <span>
                    @Model.TrainCode
                </span>
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.DepartureStationName, new { @class = "col-md-4 control-label" })
            <div class="col-md-6 form-control-static">
                @Html.HiddenFor(m => m.DepartureStationName)
                <span>
                    @Model.DepartureStationName
                </span>
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.DepartureDate, new { @class = "col-md-4 control-label" })
            <div class="col-md-6 form-control-static">
                @Html.HiddenFor(m => m.DepartureDate)
                @Html.DisplayFor(m => m.DepartureDate)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.ArrivalStationName, new { @class = "col-md-4 control-label" })
            <div class="col-md-6 form-control-static">
                @Html.HiddenFor(m => m.ArrivalStationName)
                <span>
                    @Model.ArrivalStationName
                </span>
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.ArrivalDate, new {@class = "col-md-4 control-label"})
            <div class="col-md-6 form-control-static">
                @Html.HiddenFor(m => m.ArrivalDate)
                @Html.DisplayFor(m => m.ArrivalDate)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.DepartureDate, new { @class = "col-md-4 control-label" })
            <div class="col-md-6 form-control-static">
                @for (int i = 0; i < Model.SeatsToBook.Count; i++)
                {
                    var carNumber = Model.SeatsToBook[i].Split('-').First();
                    var seatNumber = Model.SeatsToBook[i].Split('-').Last();

                    @Html.HiddenFor(m => Model.SeatsToBook[i])
                    <span>
                        Вагон: @carNumber, Место: @seatNumber
                    </span>
                    <br/>
                }
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.TotalPrice, new { @class = "col-md-4 control-label" })
            <div class="col-md-6 form-control-static">
                @Html.HiddenFor(m => m.TotalPrice)
                <span>
                    @string.Format("{0:n2}грн",Model.TotalPrice)
                </span>            
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-4 col-md-7">
                <input type="submit" value="Подтвердить" class="btn btn-default" />
            </div>
        </div>
    </fieldset>
}
